PowerShell will not start

Posted on

QUESTION :

I am getting this message when trying to run PowerShell

Version v4.0.30319 of the .NET Framework is not installed and it is required to
run version 3 of Windows PowerShell.

I have tried repairing .NET Framework, and I have tried
reinstalling .NET,
however the message persists. What is causing this problem?

ANSWER :

It looks like the problem was caused by a missing registry key, this code took care of it

Windows Registry Editor Version 5.00
[HKEY_LOCAL_MACHINESOFTWAREMicrosoft.NETFramework]
"InstallRoot"="C:\Windows\Microsoft.NET\Framework64\"

Leave a Reply

Your email address will not be published.